UserCode.cpp File Reference
`#include "tinyxml.h"`
`#include "command_classes/CommandClasses.h"`
`#include "command_classes/UserCode.h"`
`#include "Node.h"`
`#include "Options.h"`
`#include "platform/Log.h"`
`#include "value_classes/ValueByte.h"`
`#include "value_classes/ValueRaw.h"`

## Enumerations

enum | UserCodeCmd { UserCodeCmd_Set = 0x01, UserCodeCmd_Get = 0x02, UserCodeCmd_Report = 0x03, UserNumberCmd_Get = 0x04, UserNumberCmd_Report = 0x05 }
enum | { UserCodeIndex_Refresh = 254, UserCodeIndex_Count = 255 }

## Variables

const uint8 | UserCodeLength = 10

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
UserCodeIndex_Refresh |
UserCodeIndex_Count |

## UserCodeCmd

enum UserCodeCmd

Enumerator
UserCodeCmd_Set |
UserCodeCmd_Get |
UserCodeCmd_Report |
UserNumberCmd_Get |
UserNumberCmd_Report |

## Variable Documentation

## UserCodeLength

const uint8 UserCodeLength = 10